%define revision 807

Name		: jaolt
Version		: 0.5.7.1
Release		: %mkrel 1
License		: LGPL
Summary		: A java program to list auctions to eBay and AuVito
Summary(de)	: Ein Programm zum listen von Auktionen bei eBay und AuVito
Group		: Networking/WWW
URL		: http://code.google.com/p/jaolt/
Source0		: %{name}_%{version}-noarch-%{revision}.tar.xz
BuildRoot	: %{_tmppath}/%{name}-%{version}-buildroot
Requires        : java
Requires        : glibc >= 2.10.1
Requires        : libstdc++6 >= 4.4.1
Obsoletes	: %{name}-%{version}
Provides	: %{name}

%description
The Java Auction Organisation and Listing Tool allows the users to create
and organize their auctions for eBay AND AuVito offline as well as list
the created auctions without using a website. Thanks to Java, (nearly)
every OS is supported.

#german
%description -l de
jAOLT ist eine Java-basierende und dadurch Platformunabhängige
Anwendung. Sie hilft beim Einstellen, Verwalten und Auflisten
von Auktionen bei eBay und AuVito

#french
%description -l fr
Le Java enchères Organisation et cotation outil permet aux utilisateurs de créer
et d'organiser leurs ventes aux enchères pour eBay et AuVito hors ligne ainsi que la liste
les ventes aux enchères créé sans utiliser un site Web. Merci à Java, (presque)
chaque système d'exploitation est pris en charge.

#spanish
%description -l es
La Organización de subasta de venta de herramientas de Java y permite a los usuarios crear
y organizar sus subastas de eBay y offline AuVito así como la lista de
las subastas creadas sin necesidad de utilizar un sitio web. Gracias a Java, (casi)
cada sistema operativo es compatible.

#polish
%description -l pl
Java aukcja Organizacja i aukcji narzędzie pozwala użytkownikom na tworzenie
i organizować swoje aukcje na eBay i offline AuVito jak również listę
utworzonych aukcji bez użycia stronie. Dzięki Java, (prawie)
każdy system operacyjny jest obsługiwany.

#serbian
%description -l sr
Јава аукција Организација и листинг Алат омогућава корисницима да креирају
и организујете своје аукције за еБаы и АуВито на форуму, као и листу
створио аукције без коришћења сајта. Захваљујући Јава, (скоро)
сваки ОС је подржан.

#dutch
%description -l nl
De Java veilingen Organisatie en Listing Tool maakt het mogelijk gebruikers te creëren
en organiseren van hun veilingen voor eBay en AuVito offline als lijst
de gecreëerde veilingen zonder gebruik van een website. Dankzij Java, (bijna)
elk OS wordt ondersteund.

%prep

rm -rf %{buildroot}
%setup -q -n %{name}

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 $RPM_BUILD_DIR/%{name}/%{name} %{buildroot}%{_bindir}


mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a $RPM_BUILD_DIR/%{name} %{buildroot}%{_datadir}/
rm -rf %{buildroot}%{_datadir}/%{name}/%{name}
rm -rf %{buildroot}%{_datadir}/%{name}/%{name}.desktop
rm -rf %{buildroot}%{_datadir}/%{name}/build.xml
rm -rf %{buildroot}%{_datadir}/%{name}/%{name}.xpm
rm -rf %{buildroot}%{_datadir}/%{name}/data/auctionplatforms
rm -rf %{buildroot}%{_datadir}/%{name}/data/templates
rm -rf %{buildroot}%{_datadir}/%{name}/INSTALLING
install -m 0644 *.jar %{buildroot}/%_datadir/jaolt/lib
install -m 0644 *.xml %{buildroot}/%_datadir/jaolt/data/languages
install -m 0644 *.jar %{buildroot}/%_datadir/jaolt/plugins/auctionplatforms
install -m 0644 *.jar %{buildroot}/%_datadir/jaolt/plugins/pictureuploadservices

mkdir -p %{buildroot}/%{_localstatedir}/%{name}/auctionplatforms
install -m 777 $RPM_BUILD_DIR/%{name}/data/auctionplatforms/empty %{buildroot}/%{_localstatedir}/%{name}/auctionplatforms/empty
cp -a $RPM_BUILD_DIR/%{name}/data/templates %{buildroot}/%{_localstatedir}/%{name}


mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 644 $RPM_BUILD_DIR/%{name}/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=jAOLT
Comment=Auction Organisation and Listing Tool
Comment[de]=Verwalten und Auflisten von Auktionen
Exec=%{_bindir}/%{name}
Icon=%{name}.xpm
Terminal=false
Type=Application
Categories=Network;X-MandrivaLinux-Internet-Other;Qt;
Encoding=UTF-8
EOF

desktop-file-install \
	--vendor="" \
	--dir %{buildroot}%{_datadir}/applications/ \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

	


%post
%update_menus


%postun
%update_menus

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%dir %{_localstatedir}/%{name}
%{_localstatedir}/%{name}/templates
%{_localstatedir}/%{name}/auctionplatforms/*
%attr(777,root,root) %dir %{_localstatedir}/%{name}/auctionplatforms

%changelog
* Sun Jan 23 2011 leiche <meisssw01 at aol.com> 0.5.7.1-1leiche2010
- update version 0.5.7.1
- convert archive to tar.xz
- add revision 

* Mon May 31 2010 leiche <meisssw01 at aol.com> 0.5.5.5-1pclos2010
- 0.5.5.5

* Sun Dec 20 2009 Leiche <MeissSW01@aol.com> 0.5.2-1pclos2010
- 0.5.2

* Fri Dec 18 2009 Leiche <MeissSW01@aol.com> 0.5.1-6pclos2010
- fix permissions
- again perrmissions issues
- fix folder directory 
- thanks to TeeJayDubYa for testing

* Thu Dec 17 2009 Leiche <MeissSW01@aol.com> 0.5.1-1pclos2010
- 0.5.1

* Sun Oct 04 2009 Leiche <MeissSW01@aol.com> 0.4.9-1pclos2010
- update to 0.4.9

* Sat May 23 2009 maik3531 <maik3531@yahoo.de> 0.4.5.1
- update to 0.4.5.1

* Sun Jan 15 2008 maik3531 <maik3531@web.de> 3.7.beta
- build for PCLinuxOS
